Register all statements and blobs from a manifest into a new graph.
const url = 'https://example.com/manifest/v1';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"manifest":{},"name":"Manifest Registration","parent_id":"00000000-0000-0000-0000-000000000000"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/manifest/v1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "manifest": {}, "name": "Manifest Registration", "parent_id": "00000000-0000-0000-0000-000000000000" }'Register all statements and blobs from a manifest into a new graph.
Returns the UUID of the created graph.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Request body for importing a manifest into a newly created graph.
object
Manifest payload to import. Accepts a manifest object, a JSON string, base64 JSON, or gzip+base64 JSON.
object
Human-readable name for the new graph created from this manifest import.
Example
Manifest RegistrationUUID of the parent graph that the imported graph will be attached to.
Example
00000000-0000-0000-0000-000000000000Responses
Section titled “ Responses ”Manifest registered successfully
Response body returned after a manifest import succeeds.
object
UUID of the graph created for the imported manifest.
Example
{ "graph_id": "00000000-0000-0000-0000-000000000000"}The manifest payload is invalid, a blob is not valid base64, a blob CID does not match, or the parent graph does not exist
Graph was already registered
Internal server error
Blob storage is unavailable or misconfigured